LibreOffice: BitmapTable Service Reference

LibreOffice LibreOffice 26.2 SDK API Reference

Loading...
Searching...
No Matches
BitmapTable Service Referencepublished

this is a container for URLs to bitmaps. More...

`import "BitmapTable.idl";`

Inheritance diagram for BitmapTable:

## Exported Interfaces
interface | com::sun::star::container::XNameContainer
| this container lets you access the URLs that are indexed with a name.

## Additional Inherited Members
Public Member Functions inherited from XNameContainer
void | insertByName ([in] string aName, [in] any aElement) raises ( com::sun::star::lang::IllegalArgumentException, com::sun::star::container::ElementExistException, com::sun::star::lang::WrappedTargetException )
| inserts the given element at the specified name.
void | removeByName ([in] string Name) raises ( com::sun::star::container::NoSuchElementException, com::sun::star::lang::WrappedTargetException )
| removes the element with the specified name.
Public Member Functions inherited from XNameReplace
void | replaceByName ([in] string aName, [in] any aElement) raises ( com::sun::star::lang::IllegalArgumentException, com::sun::star::container::NoSuchElementException, com::sun::star::lang::WrappedTargetException )
| replaces the element with the specified name with the given element.
Public Member Functions inherited from XNameAccess
any | getByName ([in] string aName) raises ( com::sun::star::container::NoSuchElementException, com::sun::star::lang::WrappedTargetException )
sequence< string > | getElementNames ()
boolean | hasByName ([in] string aName)
Public Member Functions inherited from XElementAccess
type | getElementType ()
boolean | hasElements ()
Public Member Functions inherited from XInterface
any | queryInterface ([in] type aType)
| queries for a new interface to an existing UNO object.
void | acquire ()
| increases the reference counter by one.
void | release ()
| decreases the reference counter by one.

## Detailed Description

this is a container for URLs to bitmaps.

It is used for example to access the bitmaps that are used inside a document for filling.

See also
  DrawingDocumentFactory
  FillStyle::FillBitmapURL

## Exported Interfaces

## ◆ com::sun::star::container::XNameContainer

interface com::sun::star::container::XNameContainer

this container lets you access the URLs that are indexed with a name.

Note: You can add new entries for later use, but you cannot remove entries that are used inside the document.

The documentation for this service was generated from the following file:

- com/sun/star/drawing/BitmapTable.idl